djangu/urls.py
from django.urls import path, include
from django.contrib.auth import views as auth_views
from . import views

app_name = 'djangu'

urlpatterns = [
    path('', views.index, name='home'),
    path('login/', auth_views.LoginView.as_view(template_name='login.html'),name='login'),
    path('logout/', auth_views.LogoutView.as_view(),name='logout'),
    path('signup/', views.SignUp.as_view(),name='signup'),
    path('thanks/',views.index,name='thanks'),
    path('test/',views.friend_list,name='test'),
    path('searchfriends/',views.SearchFriends,name='searchfriends'),
    path('findfriends/',views.findfriends,name='findfriends'),
    path('acceptfriends/',views.acceptfriends,name='acceptfriends'),
    path('send_friend_request/<int:userfromID>/<int:userID>/',views.send_friend_request, name='send friends request'),
    path('accept_friend_request/<int:requestID>/',views.accept_friend_request, name='accept friends request'),
    path('decline_friend_request/<int:requestID>/',views.ketolak, name='ketolak'),
    path('delete_friend/<int:requestID>',views.delete_friend, name='delete'),
    path('isistatus/', views.status, name='status'),
    path('todolist/', views.to_do_list, name='todolist'),
    path('deletetodo/<int:pk>', views.delete_to_do_list, name='deletetodo'),
    path('donetodo/<int:pk>', views.done_to_do_list, name='donetodo'),
    path('undonetodo/<int:pk>', views.undone_to_do_list, name='undonetodo')
]

tugaskelompok1/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('djangu.urls', namespace='djangu'))
]

djangu/models.py
from django.db import models
from django.contrib.auth.models import User
from django.db.models.signals import post_save
from django.dispatch import receiver
from django.utils.timezone import now 

# Create your models here.
# class User(auth.models.User,auth.models.PermissionsMixin):
#     def __str__(self):
#         return "@{}".format(self.username)

class Person(models.Model):
    userlink = models.OneToOneField(User, on_delete=models.CASCADE)
    friends = models.ManyToManyField("Person", blank=True)
   
    def __str__(self):
        return str(self.userlink.username)

class Status(models.Model):
    context =  models.CharField(max_length=100, blank=False, default=None)
    date = models.DateTimeField(default=None, null=False, blank=False)
    namastatus = models.ForeignKey(Person, on_delete=models.CASCADE)
    types = (('Available', "Available"),
            ('Unavailable', "Unavailable"))
    state = models.CharField(max_length=100, choices=types, default='Available')

class Friend_Request(models.Model):
    from_user = models.ForeignKey(Person, related_name="from_user", on_delete=models.CASCADE, null=True)
    to_user = models.ForeignKey(Person, related_name="to_user", on_delete=models.CASCADE, null=True)

class ToDoList(models.Model):
    user = models.ForeignKey(Person, on_delete=models.CASCADE)
    content = models.CharField(max_length=100, blank=True)
    completed = models.BooleanField(default=False)
    
@receiver(post_save, sender=User)
def create_user_profile(sender, instance, created, **kwargs):
    if created:
        Person.objects.create(userlink=instance)

# @receiver(post_save, sender=User)
# def save_user_profile(sender, instance, **kwargs):
#     instance.profile.save()

djangu/forms.py
from django.contrib.auth import get_user_model
from django.contrib.auth.forms import UserCreationForm
from django import forms
from .models import Status, ToDoList
from django.forms import ModelForm


class UserCreateForm(UserCreationForm):
    
    class Meta:
        fields = ('username','email','password1','password2')
        model = get_user_model()

    def __init__(self,*args,**kwargs):
        super().__init__(*args,**kwargs)
        self.fields['username'].label = 'Username'
        self.fields['email'].label = "Email Adress"

class StatusForm(forms.ModelForm):
    class Meta:
        model = Status
        fields = [
            'state',
            'date',
            'context'
            ]
        widgets = {
            'state' : forms.RadioSelect(attrs={'Available':'Available', 'Unavailable': 'Unavailable'}),
            'date': forms.TextInput(attrs={'placeholder':'Year-Month-Date 00:00:00', 'class': "formstatus"}),
            'context': forms.TextInput(attrs={'placeholder':'Context', 'class': "formstatus"})
        }

class ToDoListForm(forms.ModelForm):
    class Meta:
        model = ToDoList
        fields = {
            'content',
        }
        widgets = {
             'content' : forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'What do you want to do?'}),
        }
    

djangu/views.py
from django.shortcuts import render
from django.urls import reverse_lazy
from django.views.generic import CreateView
from django.views.generic import TemplateView
from django.shortcuts import render, redirect, get_object_or_404
from . import forms 
from django.http import HttpResponse
from .models import Friend_Request, Person, Status, ToDoList
from .forms import StatusForm
from django.contrib.auth.decorators import login_required
from django.contrib.auth import get_user_model
from django.db.models import Q
from django.utils import timezone
from datetime import datetime

# Create your views here.
User = get_user_model()

def index(request):
    return render(request, 'index.html')

class SignUp(CreateView):
    form_class = forms.UserCreateForm
    success_url = reverse_lazy('djangu:login')
    template_name = 'signup.html'

class TestPage(TemplateView):
    template_name = "test.html"

def SearchFriends(request):
    return render(request,'friends.html')
    
def acceptfriends(request):
    this_user = Person.objects.get(userlink=request.user)
    you = this_user.userlink
    rec_friends = Friend_Request.objects.filter(to_user=this_user)
    friend = this_user.friends.all()
    return render(request, 'acceptfriends.html', {'rec_friends':rec_friends,'friend':friend})

def friend_list(request):
    this_person = Person.objects.get(userlink=request.user)
    friend = this_person.friends.all()
    try:
        ada_status = Status.objects.get(namastatus=this_person)
        now = timezone.now()
        if (now >= ada_status.date):
            Status.objects.get(namastatus=this_person).delete()
            ada_status = None
        status_teman = Status.objects.filter(namastatus__in=friend, date__gte=now)
        return render(request, 'test.html', {'friend' : friend, 'ada_status':ada_status, 'status_teman':status_teman, 'saya':this_person})
    except Status.DoesNotExist:
        status_teman = Status.objects.filter(namastatus__in=friend)
        return render(request, 'test.html', {'friend' : friend, 'status_teman':status_teman,'saya':this_person})
         
def delete_friend(request, requestID):
    this_user = Person.objects.get(userlink=request.user)
    friend_profile = get_object_or_404(Person, id=requestID)
    this_user.friends.remove(friend_profile)
    friend_profile.friends.remove(this_user)
    return redirect('/acceptfriends')

# TINGGAL MODIF STATUS FORM DARI SINI YA
def status(request): 
    upload = StatusForm()
    this_user = Person.objects.get(userlink=request.user)
    if request.method == 'POST':
        upload = StatusForm(request.POST or None)
        if upload.is_valid():
            try:
                obj = Status.objects.get(namastatus=this_user)
            except Status.DoesNotExist:
                obj = None
            finally:
                if obj != None:
                    obj.delete()
                    update_obj=Status(state=upload.data['state'], context=upload.data['context'], date=upload.data['date'], namastatus=this_user)
                    update_obj.save()
                    return redirect('/test')
                else :
                    obj=Status(state=upload.data['state'], context=upload.data['context'], date=upload.data['date'], namastatus=this_user)
                    obj.save()
                    return redirect('/test')
        return render(request, 'isistatus.html', {'status' : upload, 'saya':this_user})
    else :
        return render(request, 'isistatus.html', {'status' : upload, 'saya':this_user})
        
@login_required
def send_friend_request(request, userfromID, userID):
    from_user = Person.objects.get(id=userfromID)
    to_user = Person.objects.get(id=userID)
    friend_request, created = Friend_Request.objects.get_or_create(from_user=from_user, to_user=to_user)
    return render(request,"friends.html")

@login_required
def accept_friend_request(request, requestID):
    friend_request = Friend_Request.objects.get(id=requestID)
    if friend_request.to_user.userlink == request.user:
        friend_request.to_user.friends.add(friend_request.from_user)
        friend_request.from_user.friends.add(friend_request.to_user)
        friend_request.delete()
        return HttpResponse('friends request accepted')
    else:
        return HttpResponse('Error')

@login_required
def ketolak(request, requestID):
    friend_request = Friend_Request.objects.get(id=requestID)
    if friend_request.to_user.userlink == request.user:
        friend_request.delete()
        return HttpResponse('friends request declined')
    else:
        return HttpResponse('Error')

@login_required
def findfriends(request):
    from_user = Person.objects.get(userlink=request.user)
    query = request.GET.get('q')
    cari = User.objects.filter(Q(username__icontains = query))
    return render(request, 'friends.html', {'cari':cari,'from_user':from_user})

@login_required
def to_do_list(request):
    current_user = Person.objects.get(userlink=request.user)
    form = forms.ToDoListForm(request.POST or None)
    to_do_list = ToDoList.objects.all()
    if request.method == 'GET':
        response = {
            'form': form,
            'to_do_list': to_do_list,
            'current_user': current_user,
        }
        return render(request, 'todolist.html', response)
    elif form.is_valid() and request.method == 'POST':
        to_do = ToDoList(user=current_user, content=form.data['content'])
        to_do.save()
        return redirect('/todolist/')

@login_required
def delete_to_do_list(request, pk):
    to_do = ToDoList.objects.get(pk=pk)
    to_do.delete()
    return redirect('/todolist/')

@login_required
def done_to_do_list(request, pk):
    to_do = ToDoList.objects.get(pk=pk)
    to_do.completed = True
    to_do.save()
    return redirect('/todolist/')

@login_required
def undone_to_do_list(request, pk):
    to_do = ToDoList.objects.get(pk=pk)
    to_do.completed = False
    to_do.save()
    return redirect('/todolist/')

djangu/templates/acceptfriends.html
{% extends "base.html" %}
{% load static %}
{% block content%}
<div style="padding-top:50px">
    <div class="container">
        <div class='row'>
          <div class="col">
            <center>
            <h1 style="padding-bottom: 20px;">My Friends</h1>
                <!-- Button trigger modal -->
                <button style="margin-bottom:3%" type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
                    Friend Requests
                </button>
                
                <!-- Modal -->
                <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Friend Requests</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        </div>
                        <div class="modal-body">
                            
                            {% for friend_request in all_friend_request %}
                            <h1>{{friend_request.from_user}}<a href="/accept_friend_request/{{friend_request.id}}">accept friend request</a></h1>
                            {% endfor %}
                        
                            {% if not rec_friends %}
                                <h5><i>No recieved requests!</i></h5>
                            {% else %}
                            {% for r_request in rec_friends %}
                            <div class="card text-center" style="margin: 0 20%; border-radius:90px; background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
                            margin-bottom:15px;box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);">
                                <div class="header">
                                    <h5 style="color: white;" class="card-title">{{ r_request.from_user.userlink }}</h5>
                                    <a class='btn btn-success mr-2' href="/accept_friend_request/{{ r_request.id }}" style="margin-bottom:5px; border-radius:90px;">Accept</a>
                                    <a class='btn btn-danger' href="/decline_friend_request/{{ r_request.id }}" style="margin-bottom:5px; border-radius:90px;">Reject</a><br>
                                </div>
                            </div>
                        
                            {% endfor %}
                            {% endif %}
                        </div>
                    </div>
                    </div>
                </div>
            
                {% if friend %}
                {% for user_p in friend %}
                
                <div class="card text-center" style="margin: 0% 20% 0; border-radius:90px; background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
                 margin-bottom:15px;box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);">
                    <div class="header" style="padding: 0% 5% 0%;">
                        <h5 style="color: white;margin-top:1%" class="card-title">{{ user_p }}</h5>
                        <a class="btn btn-danger btn-sm" href="{% url 'djangu:delete' user_p.id %}"  style="margin-bottom:5px; border-radius:90px; margin: 0% 20% 1%;">UnFriend</a>
                    </div>
                </div>
                
                {% endfor %}
                {% else %}
             
                <h5><i>You have no friends now! Make some new <a href="{% url 'djangu:searchfriends' %}">friends here!</a></i></h5>
                
                {% endif %}
            </div>
        </center>
        </div>
</div>
<style>
    body {
        background: url("{% static 'bg.png' %}");
        background-size: 100%;
        background-attachment: fixed;
        background-repeat: no-repeat;
    }
    @media only screen and (max-width: 576px) {
        body {
            background: white;
            padding-top: 30px;
        }
    }
</style>
{% endblock %}

djangu/templates/base.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" integrity="sha384-oS3vJWv+0UjzBfQzYUhtDYW+Pj2yciDJxpsK1OYPAYjqT085Qq/1cq5FLXAZQ7Ay" crossorigin="anonymous">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@600&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@600&family=Roboto:wght@300&display=swap" rel="stylesheet">
    <!-- CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <!-- jQuery and JS bundle w/ Popper.js -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link rel="stylesheet" href="{% static 'simplesocial/css/master.css' %}">
    <style>
        .navbar a{
            color: #000;
            font-size: larger;
            margin: 10px;
        }
        #navhome a{ 
            color: black;
        }
        .navbar a:hover {
            color: #FFCC36;
        }
        @media only screen and (max-width: 575px) {
            .navbar {
                background-color: white;
            }
        }

    </style>
    {% block style %}
    {% endblock style %}
    <title>Djangu</title>
</head>
<body>
    <nav class="navbar navbar-expand-md fixed-top topbar-transparent" >
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation"><i class="fa fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
            <ul class="navbar-nav mx-auto">
                {% if user.is_authenticated %}
                <li class="nav-item">
                    <a href="{% url 'djangu:status' %}"> Status </a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'djangu:test' %}"> Home </a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'djangu:searchfriends' %}"> Search Users </a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'djangu:acceptfriends' %}"> Friends </a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'djangu:todolist' %}"> To-do List </a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'djangu:logout' %}"> Log Out </a>
                </li>
                {% endif %}
            </ul>
        </div>
    </nav> 

    <div class="container mycontent" >
        {% block content %}
        
        {% endblock %}
    </div>
</body>
</html>

djangu/templates/friends.html
{% extends "base.html" %}
{% load static %}
{% block searchform %}
btn btn-success my-2 my-sm-0 ml-4" type="submit">Search</button>
{% endblock searchform %}
{% block content %}
<center>
	<h1 style="margin-top: 50px;">Search Users</h1>
	<div class="container" style="padding-top:50px">
	      	{% if not cari %}
	      	<br><br>
	      	
			<form class="input-group mb-3" action="{% url 'djangu:findfriends' %}" method="get">
				<input style="box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);border-radius:90px;" type="text" class="form-control" name="q" placeholder="Search Users" aria-label="Search Users" aria-describedby="button-addon2">
				<div class="input-group-append">

				</div>
			</form>
			{% else %}
			<form  class="input-group mb-3" action="{% url 'djangu:findfriends' %}" method="get">
				<input style="box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);border-radius:90px;" type="text" class="form-control" name="q" placeholder="Search Users" aria-label="Search Users" aria-describedby="button-addon2">
				<div class="input-group-append">

				</div>
			</form>
			
			{% for object in cari %}
			{% if not object.is_superuser %}
			{% if not object.person.id == from_user.id %}
			{% if object.person not in from_user.friends.all and object != request.user %}
			
			<div class="card text-center" style="margin: 0% 20% 0; border-radius:90px; background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
			margin-bottom:15px;box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);">
                    <div class="header" style="padding: 0% 5% 0%;">
                        <h5 style="color: white;margin-top:1%" class="card-title">{{object}}</h5>
                        <a style="margin-bottom:5px; border-radius:90px; margin: 0% 20% 1%;" class="btn btn-success btn-sm" href="/send_friend_request/{{from_user.id}}/{{object.person.id}}/">send friend request</a>
                    </div>
				</div>
			</div>
			
			{% endif %}
			{% endif %}
			{% endif %}
            {% endfor %}
	      	<br><br>
			{% endif %}
	</div>
</center>
<style>
    body {
        background: url("{% static 'bg.png' %}");
        background-size: 100%;
		background-attachment: fixed;
		background-repeat: no-repeat;
	}
	@media only screen and (max-width: 576px) {
        body {
            background: white;
            padding-top: 30px;
        }
    }
</style>
{% endblock content %}

djangu/templates/index.html
{% extends "base.html" %}
{% load static %}
{% block content%}
<div class="row">
    <div class="d-flex align-items-center">
        <div class="col-sm-6" >
            <div class="left-panel">
                <div class="djangu-title">
                    <h1 class="title">D'JANGU</h1>
                    <p class="subtitle">D'jangan Ganggu</p>
                </div>
                <p class="description">Bebas <br> gangguan, jadi lebih produktif.</p>
                <a href="{% url 'djangu:login' %}" class="btn btn-primary" style="background: linear-gradient(178.93deg, #CC6BE6 31.6%, #5FA2F8 99.08%);border-radius: 39px;padding:2% 15% 2%; color:black; font-weight: 800;font-size:20px" role="button">Login</a>
            </div>
        </div>
        <div class="col-sm-6 right-panel" style="padding: 0%;">
            <img class="img-fluid" src="{% static 'IndexIMG.png' %}">
        </div>
    </div>    
</div>

<style>
    body {
        background: url("{% static 'bg.png' %}");
        background-size: 100%;
        background-attachment: fixed;
        background-repeat: no-repeat;
        padding:5% 20% 40%;
    }
    .left-panel {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .img-fluid {
        max-width: 100%;
        height: auto;
 
    }

    .djangu-title {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-bottom: 2rem;
    }
    .title {
        font-family: 'Poppins', Arial, sans-serif;
        font-weight: bold;
        font-size: 4.5rem;
        margin-bottom: 0;
        text-decoration: underline;
    }
    .subtitle {
        font-size: 1.3rem;
        margin-bottom: 0;
    }
    .description {
        font-family: 'Poppins', Arial, sans-serif;
        font-size: 2.2rem;
        font-weight: bold;
        margin-bottom: 1.5rem;
        
    }

    @media only screen and (max-width: 576px) {
    body {
        background: white;
        padding-top: 30px;
    }
    
    .left-panel {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .img-fluid {
        max-width: 0%;
        height: auto;
 
    }

    .djangu-title {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-bottom: 2rem;
    }
    .title {
        font-family: 'Poppins', Arial, sans-serif;
        font-weight: bold;
        font-size: 4.5rem;
        margin-bottom: 0;
        text-decoration: underline;
    }
    .subtitle {
        font-size: 1.3rem;
        margin-bottom: 0;
    }
    .description {
        font-family: 'Poppins', Arial, sans-serif;
        font-size: 2.2rem;
        font-weight: bold;
        margin-bottom: 1.5rem;
        
    }
    }
</style>
{% endblock %}
    

djangu/templates/login.html
{% extends "base.html" %}
{% load crispy_forms_tags %}
{% load static %}

{% block content %}
    <div class="container-fluid">
        <div class="row h-100">
            <div class="col-sm-12 my-auto">
            <h1>Log In</h1>
            <form method="POST">
                {% csrf_token %}
                <div class="form-group col">
                    {{form | crispy}}
                </div>
                <p>Don’t have an account?<a href="{% url 'djangu:signup' %}"> Sign Up </a></p>
                <input type="submit" class="btn btn-primary" value="Login">
            </form>
        </div>
    </div>
</div>

<style>

    h1 {
        text-align: center;
    }

    .form-control {
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    }	

    .btn {
        display: flex;
        justify-content: center;
    }
    
    .container-fluid {
        height: 100%;
        margin-top: 20%;
    }
    
    .control-label {
        display: flex;
        justify-content: center;
    }	
    
     body {
        background: url("{% static 'BackgroundTK.png' %}");
        background-size: 100%;
        background-repeat: no-repeat;
        
    }

    @media only screen and (max-width: 576px) {
    body {
        background: url("{% static 'BackgroundHP.png' %}");
        background-repeat: no-repeat;
    }
}
    
    </style>
{% endblock %}

djangu/templates/thanks.html
{% extends "base.html" %}

{% block content %}
    <h1>THANK'S FOR VISITING, COMEBACK SOON!</h1>
    <h5><a href="{% url 'djangu:login' %}"> Login </a></h5>
    <h5><a href="{% url 'djangu:home' %}"> home </a></h5>
{% endblock %}

djangu/templates/todolist.html
{% extends "base.html" %}
{% load static %}

{% block style %}
<style>
    body {
        background: url("{% static 'bg.png' %}");
        background-size: 100%;
        background-attachment: fixed;
        background-repeat: no-repeat;
    }
    @media only screen and (max-width: 576px) {
        body {
            background: white;
            padding-top: 30px;
        }
    }
    form {
        display: flex;
    }
    p {
        margin: 0
    }
    .section {
        margin-top: 5rem;
        /*font-family: 'Roboto', Arial, sans-serif;*/
    }
    .form-card {
        margin-bottom: 2rem;
    }
    .form-control {
        border-radius: 2rem;
        margin-right: 1rem;
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
    }
    .add-btn {
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
    }
    .btn {
        border-radius: 2rem;
    }
    .btn-primary {
        color: black;
        background-color: #38B6FF;
        border-color: #38B6FF;
    }
    .to-do-card-done {
        display: grid;
        grid-template-columns: 2.5rem auto 4rem;
        align-items: center;
        margin-bottom: 1rem;
        background: linear-gradient(180deg, #5c5e9d 0%, #2673a3 100%);
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        padding: 1rem 1rem;
        color: white;
        border-radius: 2rem;
    }
    .to-do-card-undone {
        display: grid;
        grid-template-columns: 2.5rem auto 4rem;
        align-items: center;
        margin-bottom: 1rem;
        background: linear-gradient(180deg, #898CF1 0%, #3BB4FF 100%);
        box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25), 0px 4px 4px rgba(0, 0, 0, 0.25);
        padding: 1rem 1rem;
        color: white;
        border-radius: 2rem;
    }
    .checkbox-unchecked {
        height: 1.5rem;
        width: 1.5rem;
        background-color: white;
        border-style: solid;
        border-width: .1rem;
        border-color: #ced4da;;
    }
    .checkbox-checked {
        height: 1.5rem;
        width: 1.5rem;
        background-color: #FFCC36;
    }
    .crossed {
        text-decoration: line-through;
    }
    .delete {
        border: none;
        padding: .2rem 0;
    }

    
</style>
{% endblock style %}

{% block content %}
<div class="section">
    <div class="form-card">
        <h1 class="title">Awesome To Do List</h1>
        <form action="" method="POST">
            {% csrf_token %}
            {{ form.content }}
            <button class="btn btn-primary add-btn">Add</button>
        </form>
    </div>
    {% if to_do_list %}
        {% for to_do in to_do_list %}
            {% if to_do.user == current_user and to_do.completed == True %}
                <div class="to-do-card-done">
                    <a class ="checkbox-checked" href="{% url 'djangu:undonetodo' to_do.pk %}"></a>
                    <p><span class="crossed">{{ to_do.content }}</span></p>
                    <a class="btn btn-danger delete" href="{% url 'djangu:deletetodo' to_do.pk %}">Delete</a>
                </div>
            {% elif to_do.user == current_user and to_do.completed == False %}
                <div class="to-do-card-undone">
                    <a class ="checkbox-unchecked" href="{% url 'djangu:donetodo' to_do.pk %}"></a>
                    <p>{{ to_do.content }}</p>
                    <a class="btn btn-danger delete" href="{% url 'djangu:deletetodo' to_do.pk %}">Delete</a>
                </div>
            {% endif %}
        {% endfor %}
    {% endif %}
</div>
{% endblock %}